#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	LibXSLT
Summary:	XML::LibXSLT - interface to the GNOME libxslt library
Summary(pl.UTF-8):	XML::LibXSLT - interfejs do biblioteki libxslt z GNOME
Name:		perl-XML-LibXSLT
Version:	1.94
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a32045699c001d960d6f94891f9e853c
URL:		http://search.cpan.org/dist/XML-LibXSLT/
BuildRequires:	libxslt-devel >= 1.1.28
BuildRequires:	perl-XML-LibXML >= 1.75
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%if "%(perl -MXML::LibXML -e 'print XML::LibXML::LIBXML_VERSION == XML::LibXML::LIBXML_RUNTIME_VERSION || 0' 2>/dev/null)" == "0"
BuildRequires:	REBUILD-perl-XML-LibXML
%endif
%endif
Requires:	libxslt >= 1.1.28
Requires:	perl-XML-LibXML >= 1.70
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an interface to the GNOME project's libxslt. This is an
extremely good XSLT engine, highly compliant and also very fast. I
have tests showing this to be more than twice as fast as Sablotron.

%description -l pl.UTF-8
Ten moduł jest interfejsem do libxslt z projektu GNOME. Jest to bardzo
dobry silnik XSLT, o dużej zgodności ze standardem, a także bardzo
szybki. Według testów jest ponad dwa razy szybszy od Sablotrona.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorarch}/XML/LibXSLT.pm
%dir %{perl_vendorarch}/auto/XML/LibXSLT
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXSLT/LibXSLT.so
%{_mandir}/man3/XML::LibXSLT.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-LibXSLT.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7d8f389
- x32 rebuild
- release 2 (by relup.sh)

* Mon Feb 02 2015 Jakub Bogusz <qboosh@pld-linux.org> ba95ac9
- updated to 1.94

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 720c5f0
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 05a1608
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cc51ee4
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8db967b
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 25c3811
- updated to 1.80

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ce4b501
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Oct 30 2012 Jakub Bogusz <qboosh@pld-linux.org> deabcbe
- updated to 1.78

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 401c90a
- up to 1.76

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 4f96d66
- up to 1.75

* Thu Oct 06 2011 lisu <lisu@pld-linux.org> 63001d0
- rel 4

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 2afde50
- tests require exact libxml2 in perl-XML-LibXML; added special blocker to
  remind about it when appropriate

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 5e759ec
- BR: pkgconfig

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> e1ef128
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 489fb88
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> a233579
- updated to 1.70

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 0544c37
- release 2

* Sun Mar 02 2008 Jakub Bogusz <qboosh@pld-linux.org> c8a64cf
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 50ada92
- version 1.66

